Skip to main content
GET
/
api
/
v1
/
open-orders
Get Account Open Orders
curl --request GET \
  --url https://user-account.sandbox.rails.xyz/api/v1/open-orders \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://user-account.sandbox.rails.xyz/api/v1/open-orders"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://user-account.sandbox.rails.xyz/api/v1/open-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "openOrders": [
    {
      "market": "BTC-USDT",
      "orderId": "01HZ36SYBP4Z80GRX30P49XHB6",
      "orderType": "buy",
      "tradeType": "limit",
      "price": "65000",
      "quantity": "0.5",
      "filledQuantity": "0.5",
      "leverage": "1",
      "createdAt": 1717020981622,
      "updatedAt": 1717020982756,
      "orderStatus": "active",
      "clientRequestId": "0835bf3e-4a20-41f0-908d-8213f2b7a285",
      "reduceOnly": false,
      "postOnly": false,
      "avgFillPrice": "65000"
    },
    {
      "market": "ETH-USDT",
      "orderId": "01HZ36SYBP4Z80GRX30P49XHB5",
      "orderType": "sell",
      "tradeType": "limit",
      "price": "3772.272138",
      "quantity": "1",
      "filledQuantity": "0.5",
      "leverage": "1",
      "createdAt": 1717020981622,
      "updatedAt": 1717020982756,
      "orderStatus": "active",
      "clientRequestId": "0835bf3e-4a20-41f0-908d-8213f2b7a285",
      "reduceOnly": false,
      "postOnly": false,
      "avgFillPrice": "3772.272138"
    }
  ],
  "last": "ETH-USDT#01HYXJVRCTDXQSTKZ17ND2SBJH#c3029869-2609-4a0d-8d9b-b030550add28"
}
{
"message": "Unauthorized"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

market
string

Market name. Example value: ETH-USDT. To get all supported markets, call /api/v1/markets endpoint. Omit this parameter to get results across all markets.

start
string

This is a parameter to support pagination. Get the value from the last field if present in the previous response.

Response

openOrders
object[]
required

List of open orders for the account.

last
string

This is a field in the response to support pagination. Use this value if present for the start parameter of the following request to get the next page of results.